[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TImageType

Indicates if an image contains display data or a mask for its transparent parts.

## Declaration

Source position: imglist.pp line 111

`type TImageType = (`
`itImage,` |  | Does not represent a mask.
`itMask` |  | Contains a mask.
`);`

## Description

TImageType indicates if an image contains contains the display data from an image or the mask for its transparent parts. The mask controls the parts of the image drawn using transparency. TImageType is the type used for the TCustomImageList.ImageType property.